package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.RelWagaAd;
import com.goldenwater.slgc.mapper.RelWagaAdMapper;
import com.goldenwater.slgc.service.RelWagaAdService;

/** 泵站行政信息关联 业务实现 */
@Service
public class RelWagaAdServiceImpl implements RelWagaAdService {
    @Autowired
    private RelWagaAdMapper relWagaAdMapper;

    @Override
    public List<RelWagaAd> selectRelWagaAdList(RelWagaAd relWagaAd) {
        return relWagaAdMapper.selectRelWagaAdList(relWagaAd);
    }

    @Override
    public RelWagaAd selectRelWagaAdById(RelWagaAd relWagaAd) {
        return relWagaAdMapper.selectRelWagaAdById(relWagaAd);
    }

    @Override
    public int deleteRelWagaAdById(RelWagaAd relWagaAd) {
        return relWagaAdMapper.deleteRelWagaAdById(relWagaAd);
    }

    @Override
    public int insertRelWagaAd(RelWagaAd relWagaAd) {
        return relWagaAdMapper.insertRelWagaAd(relWagaAd);
    }

    @Override
    public int updateRelWagaAd(RelWagaAd relWagaAd) {
        return relWagaAdMapper.updateRelWagaAd(relWagaAd);
    }
}
